Subject: Re: bug#24969: 26.0.50; number-at-point

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 Aug 2021 18:18:12 +0200

Andreas Röhler <[email-masked]> writes:

> After evaluating show-number in buffer of contents below, it should
> jump to char "1" and return them, but returns nil.
>
> ;;;
>
> foo-1
>
> (defun show-number ()
>   (interactive)
>   (goto-char 5)
>   (message "%s" (number-at-point)))

This has returned -1 since Emacs 26.1 (it used to return nil), and I
think -1 is fine here (since we've asked for a number, and that's a
kinda numberish thing).  (I also see the logic in returning nil in Lisp
buffers, but number-at-point is a DWIM-ish command.)

So I think this works as it's supposed, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no